
###############################################################################-
# Water requirement
###############################################################################-

# # Libraries
library(haven)
library(labelled)
library(raster)
library(rgdal)

# Options
rasterOptions(progress = "text", timer = T, overwrite = T)
options("max.print" = 1000)



# Literature / Sources --------------------------------------------------------- 

#Shackleton, C. M. Annual production of harvestable deadwood in semi-arid 
# savannas, South Africa



# Defining values --------------------------------------------------------------

woodToFirewoodRatio <- 0.1
names(woodToFirewoodRatio) <- "woodToFirewoodRatio_shr"

# Export
saveRDS(
  woodToFirewoodRatio, 
  "outputs/01_supply/01_inputs/firewoodShareFromMai.rds")
