
###############################################################################-
# Jatroph seed production rate 
###############################################################################-

# # Libraries
library(raster)
library(rgdal)
library(tidyverse)
library(haven)

# Options
rasterOptions(progress = "text", timer = T, overwrite = T)
options("max.print" = 1000, scipen = 999)


# Data and source --------------------------------------------------------------

# Source: (Ehrensperger et al. 2013)
# Productivity of 1 kg seeds per meter of hedge 

# Processing -------------------------------------------------------------------

kmHedgeToTonnesSeed <- 1
names(kmHedgeToTonnesSeed) <- "kmHedgeToTonnesSeed"

# Export -----------------------------------------------------------------------
saveRDS(
  kmHedgeToTonnesSeed, 
  "outputs/01_supply/01_inputs/jatrophaSeedProdRate.rds")






