
###############################################################################-
# Water requirement
###############################################################################-

# # Libraries
library(haven)
library(labelled)
library(raster)
library(rgdal)

# Options
rasterOptions(progress = "text", timer = T, overwrite = T)
options("max.print" = 1000)

kitui <- readRDS("outputs/pop_kitui.rds")


# Literature / Sources --------------------------------------------------------- 

# Domestic	biogas	digesters	use	a	fair	amount	of	water	as	both	the	
#   hydraulic	and	micro-biological processes require a feeding with a 1 to 1
#   mixture ratio of dung and water. A minimum of 25 litres per day is 
#   mentioned	for small scale domestic digesters (TDBP 2009).	 

# Defining values --------------------------------------------------------------

ratioWatertoSlurry <- 1

# Export
saveRDS(
  ratioWatertoSlurry, 
  "outputs/01_supply/01_inputs/ratioWaterToSlurry.rds")
