


###############################################################################.
# Compute gravity layer
#   - Based on the conductance layer and population data compute 
#     the population gravity
###############################################################################.

# Libraries
library(gdistance)
library(SpatialPosition)
library(rgeos)

# Options
rasterOptions(progress = "text", timer = T, overwrite = T)
options("max.print" = 200)
options(scipen = 999)



# ------------------------------------------------------------------------------

# http://www.evernote.com/l/ATUiq2gXm6lKAbv4U7pqq4_sH1gUCCQF0pI/


ls


# Free memory and run function
rm(list = ls())
gc()
source("scripts/03_gravity/04_createGravityLayers_fnc.R")
createGravityBalance(demVar = "nrHh", 
                     decayFnc = "exponential", 
                     bta = 2, 
                     spn = 900)


# Free memory and run function
rm(list = ls())
gc()
source("scripts/03_gravity/04_createGravityLayers_fnc.R")
createGravityBalance(demVar = "nrHh", 
                     decayFnc = "exponential", 
                     bta = 2, 
                     spn = 1800)


# Free memory and run function
rm(list = ls())
gc()
source("scripts/03_gravity/04_createGravityLayers_fnc.R")
createGravityBalance(demVar = "nrHh", 
                     decayFnc = "exponential", 
                     bta = 2, 
                     spn = 2700)


# Free memory and run function
rm(list = ls())
gc()
source("scripts/03_gravity/04_createGravityLayers_fnc.R")
createGravityBalance(demVar = "nrHh", 
                     decayFnc = "exponential", 
                     bta = 2, 
                     spn = 3600)


# Free memory and run function
rm(list = ls())
gc()
source("scripts/03_gravity/04_createGravityLayers_fnc.R")
createGravityBalance(demVar = "nrHh", 
                     decayFnc = "exponential", 
                     bta = 2, 
                     spn = 4500)


# Free memory and run function
rm(list = ls())
gc()
source("scripts/03_gravity/04_createGravityLayers_fnc.R")
createGravityBalance(demVar = "nrHh", 
                     decayFnc = "exponential", 
                     bta = 2, 
                     spn = 5400)


# Free memory and run function
rm(list = ls())
gc()
source("scripts/03_gravity/04_createGravityLayers_fnc.R")
createGravityBalance(demVar = "nrHh", 
                     decayFnc = "exponential", 
                     bta = 2, 
                     spn = 6300)



# Free memory and run function
rm(list = ls())
gc()
source("scripts/03_gravity/04_createGravityLayers_fnc.R")
createGravityBalance(demVar = "nrHh", 
                     decayFnc = "exponential", 
                     bta = 2, 
                     spn = 7200)


# Free memory and run function
rm(list = ls())
gc()
source("scripts/03_gravity/04_createGravityLayers_fnc.R")
createGravityBalance(demVar = "nrHh", 
                     decayFnc = "exponential", 
                     bta = 2, 
                     spn = 8100)


# Free memory and run function
rm(list = ls())
gc()
source("scripts/03_gravity/04_createGravityLayers_fnc.R")
createGravityBalance(demVar = "nrHh", 
                     decayFnc = "exponential", 
                     bta = 2, 
                     spn = 9000)


# Free memory and run function
rm(list = ls())
gc()
source("scripts/03_gravity/04_createGravityLayers_fnc.R")
createGravityBalance(demVar = "nrHh", 
                     decayFnc = "exponential", 
                     bta = 2, 
                     spn = 9900)


# Free memory and run function
rm(list = ls())
gc()
source("scripts/03_gravity/04_createGravityLayers_fnc.R")
createGravityBalance(demVar = "nrHh", 
                     decayFnc = "exponential", 
                     bta = 2, 
                     spn = 10800)


# Free memory and run function
rm(list = ls())
gc()
source("scripts/03_gravity/04_createGravityLayers_fnc.R")
createGravityBalance(demVar = "nrHh", 
                     decayFnc = "exponential", 
                     bta = 2, 
                     spn = 11700)


# Free memory and run function
rm(list = ls())
gc()
source("scripts/03_gravity/04_createGravityLayers_fnc.R")
createGravityBalance(demVar = "nrHh", 
                     decayFnc = "exponential", 
                     bta = 2, 
                     spn = 12600)


# Free memory and run function
rm(list = ls())
gc()
source("scripts/03_gravity/04_createGravityLayers_fnc.R")
createGravityBalance(demVar = "nrHh", 
                     decayFnc = "exponential", 
                     bta = 2, 
                     spn = 13500)


# Free memory and run function
rm(list = ls())
gc()
source("scripts/03_gravity/04_createGravityLayers_fnc.R")
createGravityBalance(demVar = "nrHh", 
                     decayFnc = "exponential", 
                     bta = 2, 
                     spn = 14400)


# Free memory and run function
rm(list = ls())
gc()
source("scripts/03_gravity/04_createGravityLayers_fnc.R")
createGravityBalance(demVar = "nrHh", 
                     decayFnc = "exponential", 
                     bta = 2, 
                     spn = 15300)

# Free memory and run function
rm(list = ls())
gc()
source("scripts/03_gravity/04_createGravityLayers_fnc.R")
createGravityBalance(demVar = "nrHh", 
                     decayFnc = "exponential", 
                     bta = 2, 
                     spn = 16200)












