


# Libraries
library(raster)
library(tidyverse)

# Options
rasterOptions(progress = "text", timer = T, overwrite = T)
options("max.print" = 200)
options(scipen = 999)



balRes_ls <- read_rds("outputs/04_balance/02_national/balance.rds")

spdf <- 
  do.call(cbind, sapply(balRes_ls, function(x){x[, "supAvailablity_shr"]}))
names(spdf) <- names(balRes_ls)
spplot(spdf)
