
###############################################################################-
# Prepare Kiln efficinecy
###############################################################################-

# # Libraries
library(raster)
library(rgdal)

# Options
rasterOptions(progress = "text", timer = T, overwrite = T)
options("max.print" = 1000)


# Data and source --------------------------------------------------------------

# Kilnefficiency: 15%

# Source: Malimbwi and Zahabu (2007)


# Downscaling ------------------------------------------------------------------

subl <- readRDS("outputs/pop_kitui.rds")
subl <- subl[, c("SUBL_ID_PaHC2009")]
subl$kilnEffic <- 0.15
saveRDS(subl, "outputs/01_supply/01_inputs/kilnEfficiency.rds")
