

###############################################################################-
# Maize yield to feedstock
###############################################################################-

# # Libraries
library(raster)
library(rgdal)
library(tidyverse)

# Options
rasterOptions(progress = "text", timer = T, overwrite = T)
options("max.print" = 1000, scipen = 999)



# Sources ----------------------------------------------------------------------

# Sources:
# - Pordesimo et al. 2004


# Processing -------------------------------------------------------------------

maizeYieldToFeedstockRatio <- c(maizeYieldToCobRatio = 0.15)

saveRDS(
  maizeYieldToFeedstockRatio, 
  "outputs/01_supply/01_inputs/maizeYieldToFeedstockRatio.rds")

