

###############################################################################-
# Jatroph share 
###############################################################################-

# # Libraries
library(raster)
library(rgdal)
library(tidyverse)
library(haven)

# Options
rasterOptions(progress = "text", timer = T, overwrite = T)
options("max.print" = 1000, scipen = 999)


# Data and source --------------------------------------------------------------

# Source: 
# - Share of plot boundaries for jatropha hedges: estimate/no source

# Processing -------------------------------------------------------------------

shrJatrophaHedge <- 0.4
names(shrJatrophaHedge) <- "shrJatrophaHedge_shr"

# Export -----------------------------------------------------------------------
saveRDS(shrJatrophaHedge, "outputs/01_supply/01_inputs/shrJatrophaHedge.rds")








